package de.thd.pms.model;



import java.time.Duration;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.time.temporal.ChronoUnit;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToMany;
import javax.persistence.Table;


import org.springframework.format.annotation.DateTimeFormat;

@Entity
@Table(name="buchung")
public class Buchung {
	 
	 @Id
	 @GeneratedValue(strategy =GenerationType.IDENTITY)
	 @Column(name="belegnr")
	 private Long id;
	 @DateTimeFormat(pattern = "yyyy-MM-dd")
	 private LocalDate belegtvon;
	 @DateTimeFormat(pattern = "yyyy-MM-dd")
	 private LocalDate belegtbis;
	 private Long belegtsum;
	 private int erwa_anz;
	 private int kind_anz;
	 private Long kundenid;
	 private int preissum;
	 
	 @ManyToMany(targetEntity=de.thd.pms.model.Zimmer.class)
	 @JoinColumn(name="zimmerid", nullable=false)
	 private Long zimmerid;
	 
	 
	 public Buchung() {
		 
	 }
	 

	public Buchung(Long id2) {
		
		zimmerid = id2;
	}

	
	public Long daysbetween(LocalDate belegtvon, LocalDate belegtbis) {
			    
	    long daysBetween = ChronoUnit.DAYS.between(belegtvon, belegtbis);
	  	    
	    return daysBetween;

	}
	
	public int longtoint(Long days) {
		
		int i;
		return i = (int) (long) days;
	}

	@Id
	 @GeneratedValue
	public Long getId() {
			return id;
		}

	public void setId(Long id) {
			this.id = id;
		}
	public LocalDate getBelegtvon() {
		return belegtvon; 
	}
	public void setBelegtvon(LocalDate belegtvon) {
		this.belegtvon = belegtvon;
	}
	public LocalDate getBelegtbis() {
		return belegtbis;
	}
	public void setBelegtbis(LocalDate blegetbis) {
		this.belegtbis = blegetbis;
	}
	public Long getBelegtsum() {
		return belegtsum;
	}
	public void setBelegtsum(Long belegtsum) {
		this.belegtsum = belegtsum;
	}
	public Long getZimmerid() {
		return zimmerid;
	}
	public void setZimmerid(Long zimmerid) {
		this.zimmerid = zimmerid;
	}
	public Long getKundenid() {
		return kundenid;
	}
	public void setKundenid(Long kundenid) {
		this.kundenid = kundenid;
	}
	
	

	public int getErwa_anz() {
		return erwa_anz;
	}


	public void setErwa_anz(int erwa_anz) {
		this.erwa_anz = erwa_anz;
	}


	public int getKind_anz() {
		return kind_anz;
	}


	public void setKind_anz(int kind_anz) {
		this.kind_anz = kind_anz;
	}


	public int getPreissum() {
		return preissum;
	}


	public void setPreissum(int preissum) {
		this.preissum = preissum;
	}


}
